Resolve review comment
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{contract_submission_id}/reviews/comments/{comment_id}/resolve \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"content": "<string>"
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>'})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{contract_submission_id}/reviews/comments/{comment_id}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{contract_submission_id}/reviews/comments/{comment_id}/resolve"
payload = { "content": "<string>" }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"submission_id": 123,
"status": "<string>",
"submission_name": "<string>",
"account": {},
"current_version": {},
"versions": [
{}
],
"participants": [
{}
],
"comments": [
{}
],
"current_participant": {},
"read_only": true,
"has_pending_changes": true,
"previous_pending_comments": [
{}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{
"error": "<string>"
}{
"error": "<string>"
}Contract Reviews
Resolve review comment
Resolve a comment or proposed change. An optional message goes with the decision.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
contract_submissions
/
{contract_submission_id}
/
reviews
/
comments
/
{comment_id}
/
resolve
Resolve review comment
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{contract_submission_id}/reviews/comments/{comment_id}/resolve \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"content": "<string>"
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>'})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{contract_submission_id}/reviews/comments/{comment_id}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{contract_submission_id}/reviews/comments/{comment_id}/resolve"
payload = { "content": "<string>" }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"submission_id": 123,
"status": "<string>",
"submission_name": "<string>",
"account": {},
"current_version": {},
"versions": [
{}
],
"participants": [
{}
],
"comments": [
{}
],
"current_participant": {},
"read_only": true,
"has_pending_changes": true,
"previous_pending_comments": [
{}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Path Parameters
ID of the contract submission
ID of the comment
The numeric ID of the account
Body
application/json
Message that goes with the decision
Response
Success
Was this page helpful?